#----------------------------------------------------------------------------
#       Borland Workspace
#
# BorlandWorkspaceCreator.pm,v 1.16 2004/09/28 14:14:29 elliott_c Exp
#
# This file was generated by MPC.  Any changes made directly to
# this file will be lost the next time it is generated.
#
# MPC Command:
# bin/mwc.pl -include /tmp/rerelease/ACE_wrappers/MPC/config -include /tmp/rerelease/ACE_wrappers/MPC/templates -type borland -recurse -hierarchy -relative ACE_ROOT=/tmp/rerelease/ACE_wrappers -exclude ASNMP/asnmp.mwc,TAO/TAOACE.mwc,TAO/CIAO/CIAOTAO.mwc
#----------------------------------------------------------------------------

!include <$(ACE_ROOT)\include\makeinclude\make_flags.bor>

all: Atomic_Op Barrier Mutex RW_Lock Semaphore TSS Tokens Tokens_Deadlock

clean:
	$(MAKE) -$(MAKEFLAGS) $(MAKE_FLAGS) -f Atomic_Op.bor clean
	$(MAKE) -$(MAKEFLAGS) $(MAKE_FLAGS) -f Barrier.bor clean
	$(MAKE) -$(MAKEFLAGS) $(MAKE_FLAGS) -f Mutex.bor clean
	$(MAKE) -$(MAKEFLAGS) $(MAKE_FLAGS) -f RW_Lock.bor clean
	$(MAKE) -$(MAKEFLAGS) $(MAKE_FLAGS) -f Semaphore.bor clean
	$(MAKE) -$(MAKEFLAGS) $(MAKE_FLAGS) -f TSS.bor clean
	$(MAKE) -$(MAKEFLAGS) $(MAKE_FLAGS) -f Tokens.bor clean
	$(MAKE) -$(MAKEFLAGS) $(MAKE_FLAGS) -f Tokens_Deadlock.bor clean

realclean:
	$(MAKE) -$(MAKEFLAGS) $(MAKE_FLAGS) -f Atomic_Op.bor realclean
	$(MAKE) -$(MAKEFLAGS) $(MAKE_FLAGS) -f Barrier.bor realclean
	$(MAKE) -$(MAKEFLAGS) $(MAKE_FLAGS) -f Mutex.bor realclean
	$(MAKE) -$(MAKEFLAGS) $(MAKE_FLAGS) -f RW_Lock.bor realclean
	$(MAKE) -$(MAKEFLAGS) $(MAKE_FLAGS) -f Semaphore.bor realclean
	$(MAKE) -$(MAKEFLAGS) $(MAKE_FLAGS) -f TSS.bor realclean
	$(MAKE) -$(MAKEFLAGS) $(MAKE_FLAGS) -f Tokens.bor realclean
	$(MAKE) -$(MAKEFLAGS) $(MAKE_FLAGS) -f Tokens_Deadlock.bor realclean

install:
	$(MAKE) -$(MAKEFLAGS) $(MAKE_FLAGS) -f Atomic_Op.bor install
	$(MAKE) -$(MAKEFLAGS) $(MAKE_FLAGS) -f Barrier.bor install
	$(MAKE) -$(MAKEFLAGS) $(MAKE_FLAGS) -f Mutex.bor install
	$(MAKE) -$(MAKEFLAGS) $(MAKE_FLAGS) -f RW_Lock.bor install
	$(MAKE) -$(MAKEFLAGS) $(MAKE_FLAGS) -f Semaphore.bor install
	$(MAKE) -$(MAKEFLAGS) $(MAKE_FLAGS) -f TSS.bor install
	$(MAKE) -$(MAKEFLAGS) $(MAKE_FLAGS) -f Tokens.bor install
	$(MAKE) -$(MAKEFLAGS) $(MAKE_FLAGS) -f Tokens_Deadlock.bor install

Atomic_Op:
	$(MAKE) -$(MAKEFLAGS) $(MAKE_FLAGS) -f Atomic_Op.bor all

Barrier:
	$(MAKE) -$(MAKEFLAGS) $(MAKE_FLAGS) -f Barrier.bor all

Mutex:
	$(MAKE) -$(MAKEFLAGS) $(MAKE_FLAGS) -f Mutex.bor all

RW_Lock:
	$(MAKE) -$(MAKEFLAGS) $(MAKE_FLAGS) -f RW_Lock.bor all

Semaphore:
	$(MAKE) -$(MAKEFLAGS) $(MAKE_FLAGS) -f Semaphore.bor all

TSS:
	$(MAKE) -$(MAKEFLAGS) $(MAKE_FLAGS) -f TSS.bor all

Tokens:
	$(MAKE) -$(MAKEFLAGS) $(MAKE_FLAGS) -f Tokens.bor all

Tokens_Deadlock:
	$(MAKE) -$(MAKEFLAGS) $(MAKE_FLAGS) -f Tokens_Deadlock.bor all

project_name_list:
	@echo Atomic_Op
	@echo Barrier
	@echo Mutex
	@echo RW_Lock
	@echo Semaphore
	@echo TSS
	@echo Tokens
	@echo Tokens_Deadlock
